package de.towerdefence.server.server.channels.time;

import de.towerdefence.server.session.SessionsService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@AllArgsConstructor
@Configuration
@EnableWebSocket
public class TimeWebsocketConfig implements WebSocketConfigurer {
    @Autowired
    private final SessionsService sessionsService;
    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(
                new TimeWebsocketHandler(this.sessionsService),
                "/ws/time"
        ).setAllowedOrigins("*");
    }
}
